Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IConnectionFactoryDescriptor

All Known Implementing Classes:
  ConnectionFactoryDescriptor

public interface IConnectionFactoryDescriptor
extends IPropertiedDescriptor, INamespaceObject, java.io.Serializable

Represents the metadata for a connection factory within a J2EE Connector Architecture (J2EE Connector Architecture) engine.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getAdapterLogicalName()` Get the logical name of the adapter that will be associated with connection pools based off this descriptor.
`java.lang.String` | `getJNDIName()` Get the JNDI name at which connection factories based off this descriptor are to be bound.
`int` | `getMaxPoolSize()` Get the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`int` | `getMinPoolSize()` Get the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`float` | `getTargetFractionOfMaxPoolSize()` Deprecated. Not supported by WLS JCA engine
`boolean` | `isPoolAllowedToShrink()` Indicates whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size.
`void` | `setAdapterLogicalName(java.lang.String logicalName)` Set the logical name of the adapter that will be associated with connection pools based off this descriptor.
`void` | `setAllowPoolToShrink(boolean allowedToShrink)` Set whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size.
`void` | `setJNDIName(java.lang.String jndiName)` Set the JNDI name at which connection factories based off this descriptor are to be bound.
`void` | `setMaxPoolSize(int maxPoolSize)` Set the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`void` | `setMinPoolSize(int minPoolSize)` Set the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.
`void` | `setTargetFractionOfMaxPoolSize(float targetFraction)` Deprecated. Not supported by WLS JCA engine

Methods inherited from interface com.bea.wlai.common.IPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`equals, getDescription, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, isReadOnly, makeReadOnly, toXML, toXML, toXML`

Method Detail

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

  Set the JNDI name at which connection factories based off this descriptor are to be bound.

  Parameters:
    `jndiName` - The JNDI name to which connection factories based off the descriptor will be bound.

### getJNDIName

    public java.lang.String getJNDIName()

  Get the JNDI name at which connection factories based off this descriptor are to be bound.

  Returns:
    The JNDI name to which connection factories based off the descriptor will be bound.

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

  Set the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Parameters:
    `minPoolSize` - The minimum number of connections in the connection pool. Must be greater than or equal to 0.

### getMinPoolSize

    public int getMinPoolSize()

  Get the minimum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Returns:
    The minimum number of connections in the connection pool. This will always be greater than or equal to 0.

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

  Set the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Parameters:
    `maxPoolSize` - The maximum number of connections in the connection pool. Must be greater than 0.

### getMaxPoolSize

    public int getMaxPoolSize()

  Get the maximum number of connections to maintain in any connection pool based off this IConnectionFactoryDescriptor.

  Returns:
    The maximum number of connections in the connection pool. This will always be greater than 0.

### setTargetFractionOfMaxPoolSize

    public void setTargetFractionOfMaxPoolSize(float targetFraction)

  Deprecated. Not supported by WLS JCA engine
  Set the fraction of the maximum pool size that represents the number of connections to maintain in a connection pool based off this descriptor. This fraction must be greater than or equal to 0, and less than or equal to 1.0. The J2EE Connector Architecture engine will (if allowed to) try to close connections if the number of connections in the pool exceeds the value of * . This parameter only takes effect when there are free connections in the connection pool and when the isAllowedToShrink method returns true.

  Parameters:
    `targetFraction` - A number between zero and one that represents the desired fraction of the max pool size to maintain on an ongoing basis.
  See Also:
    `setMinPoolSize(int)`

### getTargetFractionOfMaxPoolSize

    public float getTargetFractionOfMaxPoolSize()

  Deprecated. Not supported by WLS JCA engine
  Get the fraction of the maximum pool size that represents the number of connections to maintain in a connection pool based off this descriptor. This fraction is greater than or equal to 0, and less than or equal to 1.0. The J2EE Connector Architecture engine will (if allowed to) try to close connections if the number of connections in the pool exceeds the value of * . This parameter only takes effect when there are free connections in the connection pool and when the isAllowedToShrink method returns true.

  Returns:
    A number between zero and one that represents the desired fraction of the max pool size to maintain on an ongoing basis.
  See Also:
    `getMinPoolSize()`

### isPoolAllowedToShrink

    public boolean isPoolAllowedToShrink()

  Indicates whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size. If this is false, no connections will be closed by the J2EE Connector Architecture engine.

  Returns:
    True if the pool is allowed to shrink, false otherwise.

### setAllowPoolToShrink

    public void setAllowPoolToShrink(boolean allowedToShrink)

  Set whether the J2EE Connector Architecture engine maintaining a connection pool based off this descriptor is allowed to close free connections to reach the requested min pool size. If this is false, no connections will be closed by the J2EE Connector Architecture engine.

  Parameters:
    `allowPoolToShrink` - Pass true if the pool is allowed to shrink, false otherwise.

### getAdapterLogicalName

    public java.lang.String getAdapterLogicalName()

  Get the logical name of the adapter that will be associated with connection pools based off this descriptor. The associated adapter will be used to create new connections to be placed in the pool.

  Returns:
    The logical name for the adapter to be associated with this descriptor.

### setAdapterLogicalName

    public void setAdapterLogicalName(java.lang.String logicalName)

  Set the logical name of the adapter that will be associated with connection pools based off this descriptor. The associated adapter will be used to create new connections to be placed in the pool.

  Parameters:
    `logicalName` - The logical name for the adapter to be associated with this descriptor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)